twitter4j

## Interface PagableResponseList<T extends TwitterResponse>

All Superinterfaces:
  Collection<T>, CursorSupport, Iterable<T>, List<T>, ResponseList<T>, Serializable, TwitterResponse

    public interface PagableResponseList<T extends TwitterResponse>
    extends ResponseList<T>, CursorSupport

ResponseList with cursor support.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Fields inherited from interface twitter4j.CursorSupport

`START`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getNextCursor()`
`long` `getPreviousCursor()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`

### Methods inherited from interface twitter4j.ResponseList

`getRateLimitStatus`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### hasPrevious

    boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `CursorSupport`
Returns:
  has previous page

#### getPreviousCursor

    long getPreviousCursor()

Specified by:
  `getPreviousCursor` in interface `CursorSupport`
Returns:
  previous cursor

#### hasNext

    boolean hasNext()

Specified by:
  `hasNext` in interface `CursorSupport`
Returns:
  has next

#### getNextCursor

    long getNextCursor()

Specified by:
  `getNextCursor` in interface `CursorSupport`
Returns:
  next cursor